package com.th.demo.mapping.finance;

import com.th.demo.model.finance.AccountDetail;
import com.th.demo.model.finance.RcvMoney;

import java.util.List;

public interface AccountDetailMapper {
    int deleteByPrimaryKey(String id);

    int insert(AccountDetail record);

    int insertSelective(AccountDetail record);

    AccountDetail selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(AccountDetail record);

    int updateByPrimaryKey(AccountDetail record);

    List<AccountDetail> select(String customerName, String accountFlag,String belongId);

    List<AccountDetail> selectByFid(String fId, String belongId);

    List<AccountDetail> queryBycustomer(String customerName, String accountFlag, String belongId);

    List<RcvMoney> queryRcvMoneyAmt(String fromDate, String toDate);

    List<RcvMoney> queryRcvMoneyBycustomer(String fromDate, String toDate, String customerName);
}